<?xml version="1.0"?>
<root>
  <network_manager>

    <local_connection>
      <device_api_ver>3</device_api_ver>
      <port_id>USB</port_id>
      <timing_master>1</timing_master>
      <async_bandwidth>32</async_bandwidth>
      <endpoint>
        <data_type>CTRL</data_type>
        <dir>IN</dir>
        <channel_addr_hex>8f</channel_addr_hex>
      </endpoint>
      <endpoint>
        <data_type>CTRL</data_type>
        <dir>OUT</dir>
        <channel_addr_hex>f</channel_addr_hex>
      </endpoint>
    </local_connection>

    <!-- Telematics device with OS81118 D-Rev -->
    <device>
      <device_type_hex>311</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>1</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
          <number_of_buffers>32</number_of_buffers>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <blockwidth>80</blockwidth>
          <subbuffer_size>188</subbuffer_size>
        </socket>
      </channel>
      <channel>
        <!-- 2nd Channel: Sync HMI Audio TX (splitted in two mono channels (1/2) -->
        <channel_id>2</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>4</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>512</buffer_size>
          <packets_per_xact>128</packets_per_xact>
          <subbuffer_size>4</subbuffer_size>
          <offset>0</offset>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>2</blockwidth>
        </socket>
      </channel>
      <channel>
        <!-- 3rd Channel: Sync HMI Audio TX (splitted in two mono channels (2/2) -->
        <channel_id>3</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>4</channel_addr_hex>
          <offset>2</offset>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>2</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- HMI with OS81118 USB -->
    <device>
      <device_type_hex>332</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <channel>
        <!-- 1st Channel: Iosc RX -->
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>ISOC</data_type>
          <dir>IN</dir>
          <blockwidth>80</blockwidth>
          <subbuffer_size>188</subbuffer_size>
        </socket>
        <socket>
          <port_id>USB</port_id>
          <data_type>ISOC</data_type>
          <dir>OUT</dir>
          <buffer_size>7520</buffer_size>
          <packets_per_xact>2</packets_per_xact>
          <channel_addr_hex>83</channel_addr_hex>
          <subbuffer_size>188</subbuffer_size>
        </socket>
      </channel>
      <channel>
        <!-- 2nd Channel: Sync HMI Audio TX (splitted in two mono channels (1/2) -->
        <channel_id>2</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>4</channel_addr_hex>
          <number_of_buffers>16</number_of_buffers>
          <buffer_size>512</buffer_size>
          <packets_per_xact>128</packets_per_xact>
          <subbuffer_size>4</subbuffer_size>
          <offset>0</offset>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>2</blockwidth>
        </socket>
      </channel>
      <channel>
        <!-- 3rd Channel: Sync HMI Audio TX (splitted in two mono channels (2/2) -->
        <channel_id>3</channel_id>
        <socket>
          <port_id>USB</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <channel_addr_hex>4</channel_addr_hex>
          <offset>2</offset>
        </socket>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>2</blockwidth>
        </socket>
      </channel>
    </device>

    <!-- Slim Amplifier with OS81118 D-Rev -->
    <device>
      <device_type_hex>370</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>i2c-slim-amplifier-v2.3.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>2</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <subbuffer_size>4</subbuffer_size>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA0</i2s_pin>
          <offset>0</offset>
        </socket>
      </channel>
      <channel>
        <channel_id>2</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>2</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <subbuffer_size>4</subbuffer_size>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA0</i2s_pin>
          <offset>2</offset>
        </socket>
      </channel>
    </device>

    <!-- Audio demo board with OS81118 D-Rev -->
    <device>
      <device_type_hex>324</device_type_hex>
      <device_api_ver>3</device_api_ver>
      <script>i2c-uda1388-v2.3.script</script>
      <channel>
        <channel_id>1</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>2</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <subbuffer_size>4</subbuffer_size>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA1</i2s_pin>
          <offset>0</offset>
        </socket>
      </channel>
      <channel>
        <channel_id>2</channel_id>
        <socket>
          <port_id>MOST</port_id>
          <data_type>SYNC</data_type>
          <dir>IN</dir>
          <blockwidth>2</blockwidth>
        </socket>
        <socket>
          <port_id>I2S</port_id>
          <data_type>SYNC</data_type>
          <dir>OUT</dir>
          <blockwidth>4</blockwidth>
          <subbuffer_size>4</subbuffer_size>
          <i2s_option>DualOut</i2s_option>
          <i2s_clock_dir>Output</i2s_clock_dir>
          <i2s_clock_delay>1</i2s_clock_delay>
          <i2s_fs_speed>64</i2s_fs_speed>
          <i2s_align>Left16</i2s_align>
          <i2s_pin>SRXA1</i2s_pin>
          <offset>2</offset>
        </socket>
      </channel>
    </device>

    <!-- Routing Telematics to HMI -->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>1</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing Audio of HMI 1 to amplifier -->
    <route>
      <terminal>
        <device_type_hex>311</device_type_hex>
        <instance>0</instance>
        <channel_id>2</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>370</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>324</device_type_hex>
        <instance>0</instance>
        <channel_id>1</channel_id>
      </terminal>
    </route>

    <!-- Routing Audio of HMI 2 to amplifier -->
    <route>
      <terminal>
        <device_type_hex>332</device_type_hex>
        <instance>0</instance>
        <channel_id>2</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>370</device_type_hex>
        <instance>0</instance>
        <channel_id>2</channel_id>
      </terminal>
      <terminal>
        <device_type_hex>324</device_type_hex>
        <instance>0</instance>
        <channel_id>2</channel_id>
      </terminal>
    </route>
  </network_manager>
</root>
